using PCUT.Entities;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace PCUT.API.Managers
{
    public class CategoryManager : ManagerBase<Categories>, ICategoriesBase
    {
        string path = "http://192.168.1.106:3000/api/categories";

        public async Task<Categories> CreateAsync(Categories entity)
        {
            try
            {
                return await ApiClient<Categories>.CreateAsync(path, entity);
            }
            catch {

                return null;
            }
        }

        public Task<bool> DeleteAsync(int id)
        {
            throw new NotImplementedException();
        }

        public Task<List<Categories>> GetAllAsync()
        {
            throw new NotImplementedException();
        }

        public Task<Categories> GetByIdAsync(int id)
        {
            throw new NotImplementedException();
        }

        public Task<Categories> UpdateAsync(int id, Categories entity)
        {
            throw new NotImplementedException();
        }
    }
}
